"""Complaint

Revision ID: f363c02a18b7
Revises: 696dddc42e00
Create Date: 2019-09-27 12:29:54.868020

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f363c02a18b7'
down_revision = '696dddc42e00'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('complaint',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('category', sa.String(length=64), nullable=True),
    sa.Column('remarks', sa.String(length=256), nullable=True),
    sa.Column('date', sa.String(length=64), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_complaint_category'), 'complaint', ['category'], unique=False)
    op.create_index(op.f('ix_complaint_date'), 'complaint', ['date'], unique=False)
    op.create_index(op.f('ix_complaint_remarks'), 'complaint', ['remarks'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_complaint_remarks'), table_name='complaint')
    op.drop_index(op.f('ix_complaint_date'), table_name='complaint')
    op.drop_index(op.f('ix_complaint_category'), table_name='complaint')
    op.drop_table('complaint')
    # ### end Alembic commands ###
